#include<bits/stdc++.h>
using namespace std;
int main ()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    long long n;
    cin>>n;
    for(long long i=0;i<n;i++)
    {
        long long x1, y1, x2, y2, a, b;
        cin>>x1>>y1>>x2>>y2>>a>>b;
        
    }
    cout<<"0"<<endl;
    return 0;
}
